This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 486985 - Intel HDA volume almost mute at 15% (pulseaudio volume)
Intel HDA volume almost mute at 15% (pulseaudio volume)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-23 10:45 EST by Nicolò Chieffo
Modified: 2013-07-29 15:44 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:06:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
alsa info (23.52 KB, text/plain)
2009-02-23 10:55 EST, Nicolò Chieffo
no flags Details

  None (edit)
Description Nicolò Chieffo 2009-02-23 10:45:05 EST
Description of problem:
When I listen to music, if I lower the volume under 50% I cannot hear (almost) any sound.
I attached the alsa-info.sh output.

Version-Release number of selected component (if applicable):
alsa-lib-1.0.19-1.fc11.i386
Comment 1 Nicolò Chieffo 2009-02-23 10:55:45 EST
Created attachment 332938 [details]
alsa info
Comment 2 Jaroslav Kysela 2009-03-17 09:06:52 EDT
No idea. If you use 'alsamixer -c0' which bar controls your volume (Master or Front or PCM)?
Comment 3 Nicolò Chieffo 2009-03-17 10:14:36 EDT
when I run this command the first channel (selected) is 'Master'
anyway I tried to lower also PCM and Front, with the same results


I have to say that there was a period in which the volume slider worked correctly.
I mean. starting with f11 alpha the slider had this problem, then some update fixed it, the some other update represented the problem :(
Comment 4 Nicolò Chieffo 2009-03-17 10:23:07 EDT
alsa-lib-1.0.19-3.fc11.i586

I will try to install the -2 to see if this is fixed back
Comment 5 Nicolò Chieffo 2009-03-17 10:25:25 EDT
I can't find it :(
Comment 6 Bug Zapper 2009-06-09 07:35:37 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Nicolas Troncoso Carrere 2009-06-17 18:47:22 EDT
I can confirm this same behavior.
The only useful part is the top 50% of the mixer.
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
        Subsystem: Dell Device 024f
Comment 8 Nicolas Troncoso Carrere 2009-06-19 16:37:58 EDT
Ok. Got sound to work again. I had to install.
alsa-driver-1.0.20

wget ftp://ftp.alsa-project.org/pub/driver/alsa-driver-1.0.20.tar.bz2
tar jxvf alsa-driver-1.0.20.tar.bz2
cd alsa-driver-1.0.20
./configure --with-cards=hda-intel
make -j 2
make install

worked like a charm.
Comment 9 Jonathan Pritchard 2009-07-31 06:10:39 EDT
I'm experiencing the same problem. At around <=50% on the volume slider in the notification area it's practically silent (can just hear a small whisper form speakers).

Relevant 'lspci -vv' output:

00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
	Subsystem: Lenovo Device 20f2
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 17
	Region 0: Memory at fc620000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel

Will attempt the workaround in Comment #8.
Comment 10 Jonathan Pritchard 2009-07-31 07:09:13 EDT
Instructions in Comment #8 didn't work for me, it compiled but to 'make install' I had to use sudo, it then appeared to install properly.

Unfortunately the work around did not work for me. Still have the issue with volume. I had the latest alsa-libs in the first place.
Comment 11 MuadNu 2009-08-07 20:00:28 EDT
Instructions in Comment #8 didn't work for me either...
Comment 12 Scott Schmit 2009-09-20 19:08:40 EDT
I have the same issue:

This is the default, and it at least produces sound:
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
        Subsystem: Dell Device 029f
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 22
        Region 0: Memory at fc500000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: <access denied>
        Kernel driver in use: HDA Intel
        Kernel modules: snd-hda-intel

This one produces no sound at all:
01:00.1 Audio device: ATI Technologies Inc RV620 Audio device [Radeon HD 34xx Series]
        Subsystem: Dell Device 029f
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR+ <PERR- INTx-
        Latency: 0, Cache Line Size: 64 bytes
        Interrupt: pin B routed to IRQ 17
        Region 0: Memory at fc010000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: <access denied>
        Kernel driver in use: HDA Intel
        Kernel modules: snd-hda-intel
Comment 13 Bug Zapper 2010-04-27 09:02:27 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Jonathan Pritchard 2010-04-27 17:38:31 EDT
I am still seeing this in Fedora 12. Although it has changed from being unhearable at around <= 50% volume, to more like <= 30% -- which is better but still not the expected behaviour. Please could somebody change this to version Fedora 12.

Many thanks.
Comment 15 Bug Zapper 2010-06-28 07:20:39 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 16 Nicolò Chieffo 2010-06-28 07:27:13 EDT
I'm able to see this bug in the latest fedora 13
Comment 17 Bug Zapper 2011-06-02 14:14:56 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2011-06-27 10:06:50 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 19 Pablo Rodríguez 2013-07-29 15:44:15 EDT
I‘m still having this issue with Fedora 19.

With headphones or the speakers, it is impossible to listen to any sound below 15% in the volume control (mplayer shows that).

Actually, this is a regression, because I was able to use vlc at 2% volume with Fedora 16. But this doesn’t seem to be available anymore.

Sorry, but with earphones, this is too loud for me.

Would you be so kind to reopen the bug?

Many thanks for your help,


Pablo

Note You need to log in before you can comment on or make changes to this bug.